# Interface OutputObject

#### Hierarchy

- OutputObject

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:227

#####
Index

### Properties

amount
burnToken
depositor
destinationCaller
destinationDomain
destinationTokenMessenger
mintRecipient
nonce

## Properties

### amount

amount: bigint

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:230

### burnToken

burnToken: string

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:229

### depositor

depositor: string

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:231

### destinationCaller

destinationCaller: string

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:235

### destinationDomain

destinationDomain: bigint

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:233

### destinationTokenMessenger

destinationTokenMessenger: string

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:234

### mintRecipient

mintRecipient: string

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:232

### nonce

nonce: bigint

- Defined in platforms/evm/protocols/cctp/src/ethers-contracts/circle_abis/TokenMessenger.ts:228

Generated using TypeDoc